Bug 428647 - Failure to find fonts
Failure to find fonts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 07:02 EST by Horst H. von Brand
Modified: 2008-01-17 12:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 02:10:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested strace of oowriter (x86_64) (29.90 KB, text/plain)
2008-01-14 15:22 EST, Horst H. von Brand
no flags Details
Xorg.0.log (52.24 KB, text/plain)
2008-01-14 15:24 EST, Horst H. von Brand
no flags Details
Xorg.setup.log (1.61 KB, text/plain)
2008-01-14 15:24 EST, Horst H. von Brand
no flags Details
Xorg.0.log without xorg.conf (55.23 KB, text/plain)
2008-01-14 15:27 EST, Horst H. von Brand
no flags Details
Offending xorg.conf (2.82 KB, text/plain)
2008-01-14 15:30 EST, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-01-14 07:02:23 EST
Description of problem:
Many applications (OOo, xemacs, among others) fail to find fonts.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.1-0.15.20080107

How reproducible:
Always

Steps to Reproduce:
1. For example, run oowriter in a Gnome terminal
2.
3.
  
Actual results:
On x86_64 (i686 gives similar junk):

  X-Error: BadName (named color or font does not exist)
         Major opcode: 45 (X OpenFont)
         ResourceId: 0xc00057
         Serial No:  429 (429)
  The errors are reported asynchronously.
  set environment variable SAL_SYNCRONIZE to 1 to help debugging

(The message's last line should be "Set...", BTW)

Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-01-14 09:26:50 EST
Which font we are talking about? Could you check that you have it installed with
fc-match, e.g.,

fc-match Arial

would check which font on your computer is used for Arial in a document?

Thank you.

Also could you attach please strace of ooffice when starting, i.e., for command

strace -f -o oofice-strace.txt oowriter

could you attach uncompressed file oofice-strace.txt to this bug, please?

Thank you.
Comment 2 Matěj Cepl 2008-01-14 09:49:45 EST
Also please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Horst H. von Brand 2008-01-14 15:20:47 EST
No particular font, just starting oowriter crashes. Running xemacs (without file
name, etc) gives exactly the same failure for X_OpenFont.

   $ fc-match Arial
   LiberationSans-Regular.ttf: "Liberation Sans" "Regular"

Exactly the same with a non-updated server
Comment 4 Horst H. von Brand 2008-01-14 15:22:42 EST
Created attachment 291623 [details]
Requested strace of oowriter (x86_64)
Comment 5 Horst H. von Brand 2008-01-14 15:24:04 EST
Created attachment 291624 [details]
Xorg.0.log
Comment 6 Horst H. von Brand 2008-01-14 15:24:38 EST
Created attachment 291625 [details]
Xorg.setup.log
Comment 7 Horst H. von Brand 2008-01-14 15:27:48 EST
Created attachment 291626 [details]
Xorg.0.log without xorg.conf
Comment 8 Horst H. von Brand 2008-01-14 15:29:21 EST
Without /etc/X11/xorg.conf oowriter works!
Comment 9 Horst H. von Brand 2008-01-14 15:30:00 EST
Created attachment 291629 [details]
Offending xorg.conf
Comment 10 Horst H. von Brand 2008-01-15 19:18:38 EST
OK, axing the section:

  Section "Files"
  # Multiple FontPath entries are allowed (they are concatenated together)
  # By default, a font server independent of the X server is
  # used to render fonts.
         FontPath     "unix/:7100"
  EndSection

gets X to find fonts and be happy.
Comment 11 Matěj Cepl 2008-01-16 02:10:21 EST
Thanks for letting us know.
Comment 12 Horst H. von Brand 2008-01-17 10:19:00 EST
Hummm.... my xorg.conf file was generated by the installation of Fedora (or
perhaps screen configuration), this stuff wasn't my doing.
Comment 13 Matěj Cepl 2008-01-17 12:47:16 EST
Yeah, we probably suck in upgrading configuration between Fedora releases.

Note You need to log in before you can comment on or make changes to this bug.